Bug 603810 - Init script is broken
Init script is broken
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: memcached (Show other bugs)
el4
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Lindner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 11:50 EDT by Remi Collet
Modified: 2010-07-09 01:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: memcached-1.2.8-2.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 01:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
path against /etc/init.d/memcached (885 bytes, patch)
2010-06-15 11:50 EDT, Remi Collet
no flags Details | Diff
/etc/init.d/functions used in EL-4 (10.55 KB, text/plain)
2010-06-15 11:53 EDT, Remi Collet
no flags Details

  None (edit)
Description Remi Collet 2010-06-14 11:50:45 EDT
Description of problem:
On EL-4 daemon and killproc functions used in init script does not accept -p option.

Version-Release number of selected component (if applicable):
1.2.8-1
Comment 1 Paul Lindner 2010-06-14 17:23:46 EDT
can you send me a copy of the EL-4 killproc/daemon code?  I don't have access to an EL-4 box at this time.

Also if you could correct the init script and send it I can patch and re-release the EL-4 version.

Thanks
Comment 2 Remi Collet 2010-06-15 11:50:56 EDT
Created attachment 424203 [details]
path against /etc/init.d/memcached
Comment 3 Remi Collet 2010-06-15 11:53:39 EDT
Created attachment 424205 [details]
/etc/init.d/functions used in EL-4
Comment 4 Remi Collet 2010-06-15 11:55:21 EDT
> can you send me a copy of the EL-4 killproc/daemon code? 

functions file attached

> Also if you could correct the init script and send it I can patch

patch attached
Comment 5 Fedora Update System 2010-06-15 12:38:13 EDT
memcached-1.2.8-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/memcached-1.2.8-2.el4
Comment 6 Fedora Update System 2010-06-18 12:42:45 EDT
memcached-1.2.8-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/memcached-1.2.8-2.el4
Comment 7 Fedora Update System 2010-07-09 01:56:07 EDT
memcached-1.2.8-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.